import pygame as pg
import random

pg.init()  # inicijalizujemo rad biblioteke PyGame
pg.display.set_caption("Sneg")  # otvaramo prozor
(sirina, visina) = (400, 400)
prozor = pg.display.set_mode((sirina, visina))

#Postavljamo poziciju prve pahuljice
x = 50
y = 50
#Pozadinu bojimo u tamno plavo
prozor.fill(pg.Color("dark blue"))

def crtaj():
    pg.draw.circle(prozor, pg.Color("white"), [x, y], 2)
    
def novi_frejm():
    global x, y
    # određivanje pozicije nove pahuljice
    # generisanjem slučajne vrednosti
    x = random.randint(0, 400)
    y = random.randint(0, 400)


kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()
       
    # proveravamo da li je korisnik isključio prozor
    for dogadjaj in pg.event.get():
        if dogadjaj.type == pg.QUIT:
            kraj = True

    # pauziramo do sledeceg frejma
    sat.tick(50)
    novi_frejm()

pg.quit() # isključujemo rad biblioteke PyGame
